summaryrefslogtreecommitdiff
path: root/media-gfx/synfigstudio/synfigstudio-1.2.1.ebuild
diff options
context:
space:
mode:
authoreroen2018-11-01 23:39:47 +0100
committerErik Moen2019-08-28 19:26:46 +0200
commit8d7ddc0489c6ae2b5198fb026e5e3ca0eb05f1cf (patch)
tree594c5714128ed6c3150a57bd5bc6e8d1bb3d7d7f /media-gfx/synfigstudio/synfigstudio-1.2.1.ebuild
parent6df28c04375419b84906fc7bbe64ea35d7935249 (diff)
downloaderoen-overlay-8d7ddc0489c6ae2b5198fb026e5e3ca0eb05f1cf.tar.gz
eroen-overlay-8d7ddc0489c6ae2b5198fb026e5e3ca0eb05f1cf.tar.bz2
eroen-overlay-8d7ddc0489c6ae2b5198fb026e5e3ca0eb05f1cf.tar.xz
synfigstudio-1.3.10
Signed-off-by: Erik Moen <eroen-overlay@occam.eroen.eu>
Diffstat (limited to 'media-gfx/synfigstudio/synfigstudio-1.2.1.ebuild')
-rw-r--r--media-gfx/synfigstudio/synfigstudio-1.2.1.ebuild63
1 files changed, 63 insertions, 0 deletions
diff --git a/media-gfx/synfigstudio/synfigstudio-1.2.1.ebuild b/media-gfx/synfigstudio/synfigstudio-1.2.1.ebuild
new file mode 100644
index 00000000..6036d2f0
--- /dev/null
+++ b/media-gfx/synfigstudio/synfigstudio-1.2.1.ebuild
@@ -0,0 +1,63 @@
+# By eroen <eroen-overlay@occam.eroen.eu>, 2018
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+
+EAPI=6
+
+inherit gnome2-utils xdg-utils autotools
+
+DESCRIPTION="Vector animation studio"
+HOMEPAGE="https://www.synfig.org"
+SRC_URI="mirror://sourceforge/synfig/$P.tar.gz"
+LICENSE="GPL-2+ CC-BY-3.0"
+
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ >=dev-util/intltool-0.35.0
+ >=sys-devel/gettext-0.15
+ dev-cpp/gtkmm:3.0
+ >=media-gfx/synfig-1.2.1
+ >=dev-cpp/ETL-1.2.1
+ dev-libs/libsigc++:2
+ "
+DEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ # build system strips away -g* and -O* flags
+ sed -e '/CXXFLAGS=.*debug_flags/s@`.*`@$CXXFLAGS@' \
+ -e '/CFLAGS=.*debug_flags/s@`.*`@$CFLAGS@' \
+ -e '/CXXFLAGS=.*optimization_flags/d' \
+ -e '/CFLAGS=.*optimization_flags/d' \
+ -i m4/subs.m4 || die
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-update-mimedb \
+ --enable-jack=no \
+ --with-libfmod=no
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}